function Create_Projectile(source, direction)

	local x, y = 0,0
	if direction == "up" then y = -1 x = 0 end
	if direction == "down" then y = 1 x = 0 end
	if direction == "left" then x = -1 y = 0 end
	if direction == "right" then x = 1 y = 0 end	

	if not (direction == "up" and SolidChecker(source.X_Tile, source.Y_Tile-1)) 
	or (direction == "down" and SolidChecker(source.X_Tile, source.Y_Tile+1)) 
	or (direction == "left" and SolidChecker(source.X_Tile-1, source.Y_Tile)) 
	or (direction == "right" and SolidChecker(source.X_Tile+1, source.Y_Tile)) then 

		table.insert(Projectiles, {})			
		Projectiles[#Projectiles] = {
			X_Tile = source.X_Tile+x, Y_Tile = source.Y_Tile+y,
			OffsetX = 0, OffsetY = 0,
			Sprite = 1,
			Is_Moving = false,
			Mov_Dir = direction, Mov_Spd = 16,
		}
	end
end

function Break_Projectile(projectile, ID)
	
	if (projectile.Mov_Dir == "up" and SolidChecker(projectile.X_Tile, projectile.Y_Tile-1)) 
	or (projectile.Mov_Dir == "down" and SolidChecker(projectile.X_Tile, projectile.Y_Tile+1)) 
	or (projectile.Mov_Dir == "left" and SolidChecker(projectile.X_Tile-1, projectile.Y_Tile)) 
	or (projectile.Mov_Dir == "right" and SolidChecker(projectile.X_Tile+1, projectile.Y_Tile)) then 
		projectile.Mov_Dir = "DELETE ME"
	end

end